com.parse

## Interface FunctionCallback<T>

Type Parameters:
  `T` - The type of object returned by the Cloud Function.

    public interface FunctionCallback<T>

A `FunctionCallback` is used to run code after `ParseCloud.callFunction(java.lang.String, java.util.Map<java.lang.String, ?>)` is used to run a Cloud Function in a background thread.

The easiest way to use a `FunctionCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the cloud function is complete. The `done` function will be run in the UI thread, while the fetch happens in a background thread. This ensures that the UI does not freeze while the fetch happens.

For example, this sample code calls a cloud function `"MyFunction"` with `params` and calls a different function depending on whether the function succeeded.

     ParseCloud.callFunctionInBackground("MyFunction"new, params, FunctionCallback<ParseObject>() {
       public void done(ParseObject object, ParseException e) {
         if (e == null) {
           cloudFunctionSucceeded(object);
         } else {
           cloudFunctionFailed();
         }
       }
     });

### Method Summary

Methods
`void` `done(T object, ParseException e)` Override this function with the code you want to run after the cloud function is complete.

### Method Detail

#### done

    void done(T object,
            ParseException e)

Override this function with the code you want to run after the cloud function is complete.

Parameters:
  `object` - The object that was returned by the cloud function.
  `e` - The exception raised by the cloud call, or `null` if it succeeded.